//
// FortuneWnd.h
//

#ifndef _FORTUNEWND_H_
#define _FORTUNEWND_H_

#include <Application.h>
#include <Window.h>
#include <ScrollView.h>
#include <TextView.h>
#include <Button.h>
#include <File.h>
#include <Path.h>
#include <FindDirectory.h>
#include <Alert.h>
#include <stdlib.h>
#include <OS.h>

class CFortuneWnd: public BWindow
{
	public:
		CFortuneWnd();		// Constructor
		virtual void	MessageReceived(BMessage* pMsg);
		virtual bool	QuitRequested();
		virtual void	FrameResized(float width, float height);
	private:
		BTextView*		m_pTextView;
		BScrollView*	m_pScrollView;
		BButton*		m_pBtnAnotherOne;
		BButton*		m_pBtnAbout;
		
		BFile			m_fileFortune;
		BFile			m_fileFortuneDat;
		int				m_nEntries;
		
		void			ShowFortune();
};

#endif